For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxes

List Inboxes

GET
/v0/inboxes
GET
/v0/inboxes
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.list()
200Retrieved
1{
2 "count": 1,
3 "inboxes": [
4 {
5 "pod_id": "pod_id",
6 "inbox_id": "inbox_id",
7 "email": "email",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "created_at": "2024-01-15T09:30:00Z",
10 "display_name": "display_name",
11 "client_id": "client_id"
12 },
13 {
14 "pod_id": "pod_id",
15 "inbox_id": "inbox_id",
16 "email": "email",
17 "updated_at": "2024-01-15T09:30:00Z",
18 "created_at": "2024-01-15T09:30:00Z",
19 "display_name": "display_name",
20 "client_id": "client_id"
21 }
22 ],
23 "limit": 1,
24 "next_page_token": "next_page_token"
25}
**CLI:** ```bash agentmail inboxes list ```
Was this page helpful?
Previous

Get Inbox

Next
Built with

CLI:

$agentmail inboxes list

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.
ascendingbooleanOptional
Sort in ascending temporal order.

Response

This endpoint returns an object.
countinteger
Number of items returned.
inboxeslist of objects

Ordered by created_at descending.

limitinteger
Limit of number of items returned.
next_page_tokenstring
Page token for pagination.